FIND_PATH(OPENTHREADS_INCLUDE_DIR OpenThreads/Thread
    $ENV{OPENSCENEGRAPH_INCLUDE_DIR}
    $ENV{OPENSCENEGRAPH_DIR}/include
    $ENV{OPENSCENEGRAPH_DIR}
    $ENV{OSG_INCLUDE_DIR}
    $ENV{OSG_DIR}/include
    $ENV{OSG_DIR}
    $ENV{OPENTHREADS_INCLUDE_DIR}
    $ENV{OPENTHREADS_DIR}/include
    $ENV{OPENTHREADS_DIR}
    $ENV{OPENTHREADS_INC_DIR}
    NO_DEFAULT_PATH
)

IF(NOT OPENTHREADS_INCLUDE_DIR)
    FIND_PATH(OPENTHREADS_INCLUDE_DIR OpenThreads/Thread
        PATHS ${CMAKE_PREFIX_PATH} # Unofficial: We are proposing this.
        PATH_SUFFIXES include
    )
ENDIF(NOT OPENTHREADS_INCLUDE_DIR)

IF(NOT OPENTHREADS_INCLUDE_DIR)
    FIND_PATH(OPENTHREADS_INCLUDE_DIR OpenThreads/Thread
        ~/Library/Frameworks
        /Library/Frameworks
        /usr/local/include
        /usr/include
        /sw/include # Fink
        /opt/local/include # DarwinPorts
        /opt/csw/include # Blastwave
        /opt/include
        [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OpenThreads_ROOT]/include
        [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OSG_ROOT]/include
    )
ENDIF(NOT OPENTHREADS_INCLUDE_DIR)

FIND_LIBRARY(OPENTHREADS_LIBRARY
    NAMES OpenThreads OpenThreadsd
    PATHS
    $ENV{OPENSCENEGRAPH_LIBRARY_DIR}
    $ENV{OPENSCENEGRAPH_DIR}/lib64
    $ENV{OPENSCENEGRAPH_DIR}/lib
    $ENV{OPENSCENEGRAPH_DIR}
    $ENV{OSG_LIBRARY_DIR}
    $ENV{OSG_DIR}/lib64
    $ENV{OSG_DIR}/lib
    $ENV{OSG_DIR}
    $ENV{OPENTHREADS_LIBRARY_DIR}
    $ENV{OPENTHREADS_DIR}/lib64
    $ENV{OPENTHREADS_DIR}/lib
    $ENV{OPENTHREADS_DIR}
    $ENV{OPENTHREADS_LIB_DIR}
    NO_DEFAULT_PATH
)

IF(NOT OPENTHREADS_LIBRARY)
    FIND_LIBRARY(OPENTHREADS_LIBRARY
        NAMES OpenThreads OpenThreadsd
        PATHS ${CMAKE_PREFIX_PATH} # Unofficial: We are proposing this.
        PATH_SUFFIXES lib64 lib
    )
ENDIF(NOT OPENTHREADS_LIBRARY)

IF(NOT OPENTHREADS_LIBRARY)
    FIND_LIBRARY(OPENTHREADS_LIBRARY
        NAMES OpenThreads OpenThreadsd
        PATHS
        ~/Library/Frameworks
        /Library/Frameworks
        /usr/local/lib64
        /usr/local/lib
        /usr/lib64
        /usr/lib
        /sw/lib64
        /sw/lib
        /opt/local/lib64
        /opt/local/lib
        /opt/csw/lib64
        /opt/csw/lib
        /opt/lib64
        /opt/lib
        [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OpenThreads_ROOT]/lib
        [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OSG_ROOT]/lib
    )
ENDIF(NOT OPENTHREADS_LIBRARY)

SET(OPENTHREADS_FOUND "NO")
IF(OPENTHREADS_INCLUDE_DIR AND OPENTHREADS_LIBRARY)
  SET(OPENTHREADS_FOUND "YES")
ELSE(OPENTHREADS_INCLUDE_DIR AND OPENTHREADS_LIBRARY)
  MESSAGE(FATAL_ERROR "Could not find OpenThreads")
ENDIF(OPENTHREADS_INCLUDE_DIR AND OPENTHREADS_LIBRARY)
