# Find zlib (gzip compression).  Defines ZLIB_FOUND.

FIND_PATH(ZLIB_INCLUDE_DIR zlib.h
    $ENV{OPENSCENEGRAPH_INCLUDE_DIR}
    $ENV{OPENSCENEGRAPH_DIR}/include
    $ENV{OPENSCENEGRAPH_DIR}
    $ENV{OSG_INCLUDE_DIR}
    $ENV{OSG_DIR}/include
    $ENV{OSG_DIR}
   #NO_DEFAULT_PATH
)
IF (NOT ZLIB_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "Could not find ZLIB_INCLUDE_DIR")
ENDIF (NOT ZLIB_INCLUDE_DIR)

IF(WIN32)
	SET(ZLIB_NAME zlib1)
ELSE(WIN32)
	SET(ZLIB_NAME z)
ENDIF(WIN32)

FIND_LIBRARY(ZLIB_LIBRARY
    NAMES ${ZLIB_NAME}
    PATHS
    $ENV{OPENSCENEGRAPH_LIBRARY_DIR}
    $ENV{OPENSCENEGRAPH_DIR}/lib64
    $ENV{OPENSCENEGRAPH_DIR}/lib
    $ENV{OPENSCENEGRAPH_DIR}
    $ENV{OSG_LIBRARY_DIR}
    $ENV{OSG_DIR}/lib64
    $ENV{OSG_DIR}/lib
    $ENV{OSG_DIR}
   #NO_DEFAULT_PATH
)
IF (NOT ZLIB_LIBRARY)
	MESSAGE(FATAL_ERROR "Could not find ZLIB_LIBRARY")
ENDIF (NOT ZLIB_LIBRARY)

IF (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
   SET(ZLIB_FOUND TRUE)
ENDIF (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)

IF (ZLIB_FOUND)
   IF (NOT ZLIB_FIND_QUIETLY)
      MESSAGE(STATUS "Found ZLIB: ${ZLIB_LIBRARY}")
   ENDIF (NOT ZLIB_FIND_QUIETLY)
ELSE (ZLIB_FOUND)
	IF (ZLIB_FIND_REQUIRED)
		MESSAGE(FATAL_ERROR "Could not find ZLIB")
	ENDIF (ZLIB_FIND_REQUIRED)
ENDIF (ZLIB_FOUND)
