/*****************************************************************************
 * $LastChangedDate: 2008-08-24 15:06:30 -0400 (Sun, 24 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	C++ exceptions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_EXCEPTION_HH
#define BASE_EXCEPTION_HH 1

namespace base {

////////////////////////////////////////////////////////////////////////////////
/// @brief Base Exception class.
///
class Exception
{
public:
                    Exception( void ) : mText("Exception!") { }
                    Exception( const string& text ) : mText(text) { }
                    Exception( ostringstream& oss ) : mText(oss.str()) { }
    virtual         ~Exception() { }
    virtual string  GetText( void ) const { return mText; }

private:
	const string	mText;
};

// at misc.cc
void
PrintException( const Exception& exception, const string& functionName );

} // namespace base

#endif // BASE_EXCEPTION_HH
