/*****************************************************************************
 * $LastChangedDate: 2008-08-31 02:29:07 -0400 (Sun, 31 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Type signature definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef BASE_TYPESIG_DEFS_HH
#define BASE_TYPESIG_DEFS_HH 1

namespace base {

typedef unsigned int typesig_t;

enum
{
	// Typesig range reserved for this base library.
	// Just "TYPESIG" is ok for trivial objects.
	TYPESIG_INVALID			= 0,
	TYPESIG					= 0x1234aabb,  // "TYPESIG" reused for trivial objects
	TYPESIG_SHARED			= (uint('s')<<24) | (uint('h')<<16) | (uint('a')<<8) | uint('r'),
	TYPESIG_SHARED_PTR		= (uint('s')<<24) | (uint('h')<<16) | (uint('p')<<8) | uint('t'),
	TYPESIG_DLINK			= (uint('l')<<24) | (uint('i')<<16) | (uint('n')<<8) | uint('k'),
	TYPESIG_DLIST			= (uint('l')<<24) | (uint('i')<<16) | (uint('s')<<8) | uint('t'),
	TYPESIG_ITER			= (uint('i')<<24) | (uint('t')<<16) | (uint('e')<<8) | uint('r'),
	TYPESIG_STACK			= (uint('s')<<24) | (uint('t')<<16) | (uint('a')<<8) | uint('c'),
	TYPESIG_UNIQUE			= (uint('u')<<24) | (uint('n')<<16) | (uint('i')<<8) | uint('q'),
	TYPESIG_UNIQUE_FACTORY	= (uint('u')<<24) | (uint('n')<<16) | (uint('f')<<8) | uint('a'),
	TYPESIG_SORTED_ARRAY	= (uint('s')<<24) | (uint('o')<<16) | (uint('a')<<8) | uint('r'),
	TYPESIG_CONF_TUPLE      = (uint('c')<<24) | (uint('f')<<16) | (uint('t')<<8) | uint('u'),
	TYPESIG_TIMER_CALLBACK  = (uint('t')<<24) | (uint('i')<<16) | (uint('c')<<8) | uint('b'),
};

} // namespace base

#endif // BASE_TYPESIG_DEFS_HH
#endif // DEBUG
