/*****************************************************************************
 * $LastChangedDate: 2008-10-04 00:18:42 -0400 (Sat, 04 Oct 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Events for controlling an Aircraft.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef CONTROL_EVENTS_HH
#define CONTROL_EVENTS_HH 1

#define CONTROL_EVENTS control::global::gEvents

#include "base/event.hh"
using namespace base;
#include "object/module.hh"
#include "object/aircraft.hh"
using namespace object;
#include "control/command.hh"

namespace control {

/// @brief Pairs a Aircraft with its Command.
struct CommandEvent
{
	CommandEvent( shptr<Aircraft> aircraft, shptr<Command> command )
	: mAircraft(aircraft), mCommand(command) { }
	shptr<Aircraft>	mAircraft;
	shptr<Command>	mCommand;
};

////////////////////////////////////////////////////////////////////////////////
/// @brief Events for controlling an Aircraft.
///
struct Events
{
	Event<CommandEvent>	mCommand;
};

#if CONTROL_MODULE_CC
namespace global { Events gEvents; }
#else
namespace global { extern Events gEvents; }
#endif

} // namespace control

#endif // CONTROL_EVENTS_HH
