/*****************************************************************************
 * $LastChangedDate: 2008-08-29 00:25:21 -0400 (Fri, 29 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Initialize/start module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#define CONTROL_MODULE_CC 1
#include "base/module.hh"
using namespace base;
#include "glue/module.hh"
using namespace glue;
#include "control/module.hh"
#include "control/conf.hh"
#include "control/joystick.hh"
#include "control/events.hh"  // to define a global

namespace control {

/*****************************************************************************
 * Initialize module.
 *****************************************************************************/
void
Init( const InitArgs& initArgs )
{
    // ORDER-DEPENDENT

	// Load textual conf file into Conf struct.
	const string confTxtFilename = GetConfTxtFilename( initArgs.mProgramName );
	// Not CONF macro since mValid isn't true yet.
	control::global::gConf.Init( initArgs.mArgc, initArgs.mArgv, confTxtFilename );
}

/*****************************************************************************
 * Start module.
 *****************************************************************************/
void
Start( void )
{
    // If configured, enable joytick.
    if ( CONTROL_CONF.mJoyEnabled )
        control::Joystick::GetInstance().Enable();
}

} // namespace control
