/*****************************************************************************
 * $LastChangedDate: 2008-08-31 02:29:07 -0400 (Sun, 31 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	ImageCache class.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef FX_IMAGE_CACHE_HH
#define FX_IMAGE_CACHE_HH 1

#define GET_IMAGE_CACHE() (fx::ImageCache::GetInstance())

#include <osg/Image>

namespace fx {

typedef osg::Image Image;

////////////////////////////////////////////////////////////////////////////////
/// @brief Cache of images files (for texture objects).
///
/// Similar to graph::ModelCache.
///
class ImageCache
{
PREVENT_COPYING(ImageCache)
private:
                			ImageCache( void );
        					~ImageCache();

public:
    CLASS_METHOD ImageCache& GetInstance( void )  // Singleton
	{
		if ( UX( msInstance == NULL ) )
			msInstance = new ImageCache;
		return *msInstance;
	}

    RefPtr<osg::Image>		LoadImage( const string& filename );

private:
	typedef map<string,RefPtr<Image> > ImageMap;
    CLASS_VAR ImageCache*   msInstance;
	ImageMap				mImageMap;		///< maps filename and osg::Image
};

} // namespace fx

#endif // FX_IMAGE_CACHE_HH
