/*****************************************************************************
 * $LastChangedDate: 2008-02-21 18:58:04 -0500 (Thu, 21 Feb 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Typesig definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef FX_TYPESIG_DEFS_HH
#define FX_TYPESIG_DEFS_HH 1

namespace fx {

/// Type signatures.
enum
{
	TYPESIG_TEXTURE         = (uint('t')<<24) | (uint('x')<<16) | (uint('t')<<8) | uint('u'),
	TYPESIG_SPRITE          = (uint('s')<<24) | (uint('p')<<16) | (uint('r')<<8) | uint('i'),
	TYPESIG_PARTICLE        = (uint('p')<<24) | (uint('a')<<16) | (uint('r')<<8) | uint('t'),
	TYPESIG_PARTICLE_SYSTEM = (uint('p')<<24) | (uint('r')<<16) | (uint('s')<<8) | uint('y'),
};

} // namespace fx

#endif // FX_TYPESIG_DEFS_HH
#endif // DEBUG
