/*****************************************************************************
 * $LastChangedDate: 2008-06-24 23:07:05 -0400 (Tue, 24 Jun 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Light number assignments.
 * @remarks	These are very program-specific and cross-module (so placed in glue).
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GLUE_LIGHT_NUMS_HH
#define GLUE_LIGHT_NUMS_HH 1

namespace glue {
namespace defs {

// Light numbers are PRECIOUS!
const uint LIGHT_NUM_DEFAULT		= 0;
const uint LIGHT_NUM_SKY			= LIGHT_NUM_DEFAULT;
const uint LIGHT_NUM_MODEL			= 1;
const uint LIGHT_NUM_MODEL_CARRIER	= 2;
const uint LIGHT_NUM_MODEL_SR71		= 3;

} // namespace defs
} // namespace glue

#endif // GLUE_LIGHT_NUMS_HH
