/*****************************************************************************
 * $LastChangedDate: 2008-04-11 11:57:17 -0400 (Fri, 11 Apr 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Glue the modules together.
 * @namespace glue
 * @brief Glues the modules together.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GLUE_MODULE_HH
#define GLUE_MODULE_HH 1

//------------------------------------------------------------------------------
// Coding convention for modules:
// - module.hh is the main header files that includes often-used header files.
// - Init() initializes the module (if applicable).
// - Start() starts the execution of a module (if applicable).

namespace glue {

typedef base::InitArgs InitArgs;

void Init( const InitArgs& initArgs );

void Start( void );

} // namespace glue

//------------------------------------------------------------------------------

// Avoid including unnecessary headers.
//#include "glue/osg.hh"
//#include "glue/conf.hh"

#endif // GLUE_MODULE_HH
