/*****************************************************************************
 * $LastChangedDate: 2007-12-16 18:45:59 -0500 (Sun, 16 Dec 2007) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	OSG-specific Keyboard class.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if COMPILE_OSG
#ifndef INPUT_KEYBOARD_OSG_HH
#define INPUT_KEYBOARD_OSG_HH 1

#include <osgGA/GUIEventHandler>

namespace input {

////////////////////////////////////////////////////////////////////////////////
/// @brief Keyboard class specialized for OSG.
///
class KeyboardOSG : public Keyboard
{
PREVENT_COPYING(KeyboardOSG)
friend class Keyboard;  // for Keyboard::GetInstance()
private:
    // Keyboard is meant to be instantiated once.
	KeyboardOSG( void );
	~KeyboardOSG();

private:
    /// @brief Handles keyboard events (OSG).
    class HandlerOSG : public osgGA::GUIEventHandler
    {
    public:
    					HandlerOSG( void ) { }
    					~HandlerOSG() { }
        virtual bool	handle( const osgGA::GUIEventAdapter& event, osgGA::GUIActionAdapter& );
	    virtual void	accept( osgGA::GUIEventHandlerVisitor& visitor );
    };

public:
	void				Enable( void );
};

} // namespace input

#endif // INPUT_KEYBOARD_OSG_HH
#endif // COMPILE_OSG
