-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Control",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "control/module.hh"
using namespace control;
]],

func_SetCurrentCraft = {
    comments = " * Control.SetCurrentCraft( craft )\n* Set which Craft is controlled by joystick (keyboard is N/A).",
    code = [[
		shptr<Craft> craft = POP_USERDATA_AS_SHPTR<Craft>( L );
		CHECK_TYPESIG(craft,TYPESIG_CRAFT);
		GET_CONTROL().SetCurrentCraft( craft );
    ]]
},

}
