-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Math",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "math/module.hh"
#include "math/graphics.hh"
using namespace math;
]],

func_AXIS_INVALID = {
    comments = "num math:AXIS_INVALID()\n * AXIS_INVALID is defined as ~0 in C++ which varies by CPU,\n * so Lua should get the right value from this.",
    code = [[
		lua_pushnumber( L, AXIS_INVALID );  // let C++ compiler promote it as usual
		return 1;  // number of pushed values
    ]]
},

func_IF_Z_FACING = {
    comments = "bool math:IF_Z_FACING( z )\n * Returns true if the eye coordinate Z is facing the viewpoint.",
    code = [[
		const fp z = POP_FP( L );
		lua_pushboolean( L, IF_Z_FACING( z ) );
		return 1;  // number of pushed values
    ]]
},

}
