-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Sky",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "sky/module.hh"
using namespace sky;
]],

func_SetLightPosition = {
    comments = "Sky:SetLightPosition( Vec3 )",
    code = [[
		const WorldVertex pos = POP_VECTOR3<WorldVertex>( L );
		GET_SKY().GetLight()->SetPosition(pos);
    ]]
},

func_SetLightColor = {
    comments = "Sky:SetLightColor( ambient:RGBA, diffuse:RGBA, specular:RGBA )",
    code = [[
		const RGBA specular( POP_RGBA( L ) );
		const RGBA diffuse(  POP_RGBA( L ) );
		const RGBA ambient(  POP_RGBA( L ) );

		GET_SKY().GetLight()->SetAmbient( ambient );
		GET_SKY().GetLight()->SetDiffuse( diffuse );
		GET_SKY().GetLight()->SetSpecular( specular );
    ]]
},

}
