/*****************************************************************************
 * $LastChangedDate: 2008-05-25 23:48:48 -0400 (Sun, 25 May 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Interface for Lua scripts.
 * @namespace lua
 * @brief	Lua interpreter.
 * @namespace lua_bind
 * @brief	Interface (bindings) between C++ and Lua scripts.
 * @namespace lua_intern
 * @brief	Internal/private to Lua module.
 *
 * The "lua_bind" namespace is useful with doxygen
 * to document the C++ code exported to Lua.
 *
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

// Avoid writing "LUA_" to avoid naming conflicts with Lua itself.
#ifndef LUABIND_MODULE_HH
#define LUABIND_MODULE_HH 1

#include "lua_bind/lua.hh"  // C++ singleton that abstracts Lua interpreter

#endif // LUABIND_MODULE_HH
