/*****************************************************************************
 * $LastChangedDate: 2008-05-04 16:23:01 -0400 (Sun, 04 May 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Functions to convert physical metrics.
 * @remarks
 * physics/conversion.hh converts between different kinds of physical units.
 * world::Geo converts between graphical coordinates and other units.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef PHYSICS_CONVERSION_HH
#define PHYSICS_CONVERSON_HH 1

namespace physics {

SpeedMPH
KPH2MPH( const SpeedKPH kph );

Speed
KPH2Speed( const SpeedKPH kph );

SpeedKPH
Speed2KPH( const Speed speed );

SpeedMPH
Speed2MPH( const Speed speed );

SpeedMPH
Mach2MPH( const Mach mach );

SpeedKPH
Mach2KPH( const Mach mach );

Speed
Mach2Speed( const Mach mach );

Mach
Speed2Mach( const Speed speed );

} // namespace physics

#endif // PHYSICS_CONVERSION_HH
