/*****************************************************************************
 * $LastChangedDate: 2008-10-04 00:18:42 -0400 (Sat, 04 Oct 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Misc functions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#define PROGRAM_FUNCS_CC 1
#include "base/module.hh"
using namespace base;
#include "math/module.hh"
using namespace math;
#include "graph/module.hh"
#include "graph/model_cache.hh"
#include "graph/light.hh"
using namespace graph;
#include "object/module.hh"
using namespace object;
#include "sky/module.hh"
using namespace sky;
#include "program/module.hh"
#include "program/funcs.hh"

namespace program {

/*****************************************************************************
 * Insert light source into a Graph.
 *****************************************************************************/
shptr<Light>
InsertLightIntoGraph( shptr<Graph> graph,
                      const uint lightNum,
                      const RGBA ambient,
                      const RGBA diffuse,
                      const RGBA specular )
{
CHECK_TYPESIG(graph,TYPESIG_GRAPH);

	shptr<Light> light = new Light( lightNum,
	                                GET_SKY().GetLight()->GetPosition(),
                                    ambient,
                                    diffuse,
                                    specular );
	graph->InsertGroupNode( light->GetGroupNode() );
	return light;
}

} // namespace program
