/*****************************************************************************
 * $LastChangedDate: 2008-08-29 09:04:45 -0400 (Fri, 29 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions, constants.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SKY_DEFS_HH
#define SKY_DEFS_HH 1

#include "types/rgba_colors.hh"

namespace sky {
namespace defs {

// Sky:
const RGBA	 DEFAULT_SKY_COLOR( RGB_SKY_BLUE, 1.0f );
const RGBA   HIGH_SKY_COLOR( 0.20f, 0.35f, 0.47f, 1.0f );  // -high arg, dark blue
const fpx	 DEFAULT_SKY_FOG_DENSITY = 0.0000015;
const uint	 DEFAULT_SKY_DOME_SLICE_CNT	= 16;
const uint	 DEFAULT_CLOUD_CNT = 100;
const RGBA	 DEFAULT_FOG_COLOR( 0.83f, 0.87f, 1.0f, 1.0f );
const fpx	 DEFAULT_FOG_DENSITY = 0.000035;

// SkyDome:
const Degree SKY_DOME_DEFAULT_LAT_LIMIT( 95.0f );  // Patches beyond this latitude (in southern hemisphere) won't be rendered

// Stars:
const uint	 DEFAULT_STAR_CNT = 500;

// Moon:
const fp	 SKY_DOME_MOON_RATIO = 0.02f;  // multiplies radius of sky dome to get moon's radius
const Degree DEFAULT_SUN_LAT( 90.0f );
const Degree DEFAULT_SUN_LON( 90.0f );
const Degree DEFAULT_MOON_LAT( 80.0f );
const Degree DEFAULT_MOON_LON( 45.0f + 80.0f );

} // namespace defs
} // namespace sky

#endif // SKY_DEFS_HH
