/*****************************************************************************
 * $LastChangedDate: 2008-08-30 16:42:44 -0400 (Sat, 30 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Initialize/start module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#define SKY_MODULE_CC 1
#include "base/module.hh"
using namespace base;
#include "glue/module.hh"
#include "glue/sim_time.hh"
using namespace glue;
#include "world/module.hh"
using namespace world;
#include "sky/module.hh"
#include "sky/conf.hh"

namespace sky {

/*****************************************************************************
 * Initialize module.
 *****************************************************************************/
void
Init( const InitArgs& initArgs )
{
	// Load textual conf file into Conf struct.
	const string confTxtFilename = GetConfTxtFilename( initArgs.mProgramName );
	// Not CONF macro since mValid isn't true yet.
	sky::global::gConf.Init( initArgs.mArgc, initArgs.mArgv, confTxtFilename );
}

/*****************************************************************************
 * Start module.
 *****************************************************************************/
void
Start( void )
{
	// Start Sky objects.
	GET_SKY().Start( GET_SIM_TIME().GetHour() );
}

} // namespace sky
