/*****************************************************************************
 * $LastChangedDate: 2008-08-17 16:03:41 -0400 (Sun, 17 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Module header.
 * @namespace sky
 * @brief Sky module (SkyDome, Sun, Moon, Stars).
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SKY_MODULE_HH
#define SKY_MODULE_HH 1

//------------------------------------------------------------------------------
// Coding convention for modules:
// - module.hh is the main header files that includes often-used header files.
// - Init() initializes the module (if applicable).
// - Start() starts the execution of a module (if applicable).

namespace sky {

typedef base::InitArgs InitArgs;

void Init( const InitArgs& initArgs );

void Start( void );

} // namespace sky

//------------------------------------------------------------------------------

#include "math/module.hh"
using namespace math;
#include "types/rgba.hh"
using namespace types;
#include "glue/module.hh"
#include "glue/osg.hh"
using namespace glue;
#include "object/module.hh"
using namespace object;
#include "world/state_sorter.hh"
using namespace world;
#include "sky/typesig_defs.hh"  // most sky headers should be
#include "sky/sky.hh"           // treated as private implementation

#endif // SKY_MODULE_HH
