/*****************************************************************************
 * $LastChangedDate: 2008-04-12 13:13:57 -0400 (Sat, 12 Apr 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Module header file.
 * @namespace sound
 * @brief Sound/audio module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SOUND_MODULE_HH
#define SOUND_MODULE_HH 1

//------------------------------------------------------------------------------
// Coding convention for modules:
// - module.hh is the main header files that includes often-used header files.
// - Init() initializes the module (if applicable).
// - Start() starts the execution of a module (if applicable).

namespace sound {

typedef base::InitArgs InitArgs;

void Init( const InitArgs& initArgs );

void Start( void );

} // namespace sound

//------------------------------------------------------------------------------

#include "base/module.hh"
#include "base/event.hh"
using namespace base;
#if DEBUG
#include "sound/typesig_defs.hh"
#endif
#include "sound/sound.hh"

#endif // SOUND_MODULE_HH
