/*****************************************************************************
 * $LastChangedDate: 2008-06-12 05:14:07 -0400 (Thu, 12 Jun 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Window/View events.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef VIEW_EVENTS_HH
#define VIEW_EVENTS_HH 1

#include "base/event.hh"

namespace view {

#define VIEW_EVENTS view::global::gEvents

class View;

////////////////////////////////////////////////////////////////////////////////
/// @brief Window/View events.
///
/// This event struct is a global.
/// It cannot be a member of Window class since listeners could be registered
/// before Window is created.
///
struct Events
{
	Event<>				mPreDrawAllViews;	///< called before drawing the first view
	Event<>				mPostDrawAllViews;	///< called after drawing the last view
	Event<shptr<View> >	mPreDrawOneView;	///< called before drawing one view
	Event<shptr<View> >	mPostDrawOneView;	///< called after drawing one view
};

#if VIEW_MODULE_CC
namespace global { Events gEvents; }
#else
namespace global { extern Events gEvents; }
#endif

} // namespace view

#endif // VIEW_EVENTS_HH
